FROM alpine:latest

ENV FRP_VERSION 0.48.0

RUN mkdir -p /etc/frp  \
    &&  wget --no-check-certificate -c https://github.com/fatedier/frp/releases/download/v${FRP_VERSION}/frp_${FRP_VERSION}_linux_amd64.tar.gz \
    &&  tar zxvf frp_${FRP_VERSION}_linux_amd64.tar.gz  \
    &&  cp frp_${FRP_VERSION}_linux_amd64/frpc   /usr/bin/ \
    &&  cp frp_${FRP_VERSION}_linux_amd64/frpc.ini /etc/frp \
    &&  rm -rf frp_*

ENTRYPOINT /usr/bin/frpc -c /etc/frp/frpc.ini

#  docker build -t lghost/frpc .
# docker run --restart=always --network host -d -v /etc/frpc.ini:/etc/frp/frpc.ini --name frpc lghost/frpc:0.48