FROM alpine:latest

ENV FRP_VERSION 0.48.0

RUN  mkdir -p /etc/frp \
    && wget --no-check-certificate -c https://github.com/fatedier/frp/releases/download/v${FRP_VERSION}/frp_${FRP_VERSION}_linux_amd64.tar.gz \
    &&  tar zxvf frp_${FRP_VERSION}_linux_amd64.tar.gz  \
    &&  cp frp_${FRP_VERSION}_linux_amd64/frps /usr/bin/ \
    &&  cp frp_${FRP_VERSION}_linux_amd64/frps.ini /etc/frp \
    &&  rm -rf frp_*

ENTRYPOINT /usr/bin/frps -c /etc/frp/frps.ini

# docker build -t lghost/frps -f frps.dockerfile  .
#  docker run --restart=always --network host -d -v /etc/frps.ini:/etc/frp/frps.ini --name frps lghost/frps:0.48