FROM tomcat:8.5.24-jre8
MAINTAINER Logan "admin@attacker.club"
# 大数据数据质量 后端api服务

ENV TZ=Asia/Shanghai
ENV TOMCAT_HOME=/usr/local/tomcat
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

##RUN rm $TOMCAT_HOME/bin/catalina.sh
COPY doc/catalina.sh $TOMCAT_HOME/bin/catalina.sh

##RUN rm $TOMCAT_HOME/conf/server.xml
COPY doc/server.xml $TOMCAT_HOME/conf/server.xml

RUN rm -rf $TOMCAT_HOME/webapps/*
COPY holmes-web/target/holmes-web-1.0-SNAPSHOT.war $TOMCAT_HOME/webapps/holmes.war
RUN chmod +x /usr/local/tomcat/bin/catalina.sh
EXPOSE 8080