FROM nginx:1.11.10-alpine
MAINTAINER Logan "admin@attacker.club"
# 前端静态

ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
RUN mkdir -p /home/jollychic/www

COPY dist /home/jollychic/www/dist 
# npm编译后的静态文件 放nginx镜像里面

COPY config/nginx.conf /etc/nginx/conf.d/default.conf
COPY init.sh /home/jollychic/init.sh

WORKDIR /home/jollychic
EXPOSE 80
CMD chmod +x init.sh && ./init.sh