#!/bin/bash

# 获取当前 IP 地址
current_ip=$(hostname -I | awk '{print $1}')

sudo docker run -d \
  --restart=unless-stopped \
  --name=kuboard \
  -p 82:80/tcp \
  -p 10081:10081/tcp \
  -e KUBOARD_ENDPOINT="http://$current_ip:82" \
  -e KUBOARD_AGENT_SERVER_TCP_PORT="10081" \
  -v /data/kuboard-data:/data \
  eipwork/kuboard:v3